Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Get store order by id

Prev Next
Get
/inventory/storeOrders/{orderId}

Retrieve the store order by id

Required permissions: READ_ORDERS.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the target tenant (e.g. acme).

Path parameters
orderId
stringRequired

The id fo the order to retrieve.

Minimum1.0
Exampleabcd1234
Query parameters
language
string

The language used for data localization (e.g. EN, ES).

Exampleit
Responses
200

Successful operation

Expand All
object
id
string

The order internal identifier.

Example691714310c219b1d691be588
orderNumber
string

The order public number.

ExampleORD-000050
organizationId
string

The id of the organization the order is assigned to.

Example661533adc04f90248aa739a2
parnterId
string

The id of the partner the order is assigned to.

Example661533adc04f90248aa739a2
providerName
string

The name of the organization or partner the order is assigned to.

ExampleACME
buyer
object (OrderBuyer)
name
string

The name of the buyer entity (custome or partner).

ExampleAbon Metal
code
string

The code identifying the customer or partner.

ExampleC000050
email
string (email)

The buyer contact email.

Examplebuyer@example.com
customerId
string

The id of the customer in case of the buyer is a customer.

Example661fa918281ccf25619dc5cc
partnerId
string

The id of the customer in case of the buyer is a partner.

Example661fa918281ccf25619dc5cc
items
Array of object (OrderItem)

The list of items included in the order.

object
type
string

The type of the item.

Valid values[ "SPARE_PART" ]
ExampleSPARE_PART
itemId
string

The id of the item (e.g. a spare part).

Example66310cb2d8cab311e86d05d6
name
string

The name of the item.

ExampleBi-metal band saw blade 8 TPI
code
string

The public code of the order item (e.g. spare part serial).

ExampleSP-140506
quantity
integer

The quantity of the item.

Minimum1.0
Example2
unitPrice
number (double)

The item unit price.

Minimum0.0
Example14.9
total
number (double)

The total price of the order included items.

Example29.8
installationService
boolean

The flag indicating whther the buyer requests the installation service.

ExampleFalse
shippingLocation
object (ShippingLocation)
name
string

The location name.

ExampleStretford, Mosley Rd
country
string

The location country (e.g. UK).

ExampleUnited Kingdom
city
string

The location city.

ExampleStretford
zipCode
string

The location zip code.

Example23563
address
string

The location address.

ExampleMosley Rd
locationId
string

The location identifier.

Example663372d769e1d1672c7595eb
status
string

The order status.

Valid values[ "PENDING_ACCEPTANCE", "PENDING_SHIPPING", "SHIPPED", "DELIVERED" ]
ExamplePENDING_SHIPPING
lastUpdateTimestamp
integer (int64)

Unix timestamp in milliseconds representing the last order update time.

Example1763120222790
creationTimestamp
integer (int64)

Unix timestamp in milliseconds representing the order creation time.

Example1763120177055
approvalTimestamp
integer (int64) | null

Unix timestamp in milliseconds representing the order approval time.

Example1763120222790
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exeeded.

object
message
string

The error response.

ExampleAPI call rate limit exeeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error